#!/bin/bash
# __author__ = Felix Kleinert
# __date__  = '2020-04-06'

# This script loads the required modules for mlt which are available on JUWELS. 
# Note that some other packages have to be installed into a venv (see setup_venv.sh).

module --force purge
module use $OTHERSTAGES

ml Stages/Devel-2019a
ml GCCcore/.8.3.0

ml Jupyter/2019a-Python-3.6.8
ml Python/3.6.8
ml TensorFlow/1.13.1-GPU-Python-3.6.8
ml Keras/2.2.4-GPU-Python-3.6.8
ml SciPy-Stack/2019a-Python-3.6.8
ml dask/1.1.5-Python-3.6.8
ml GEOS/3.7.1-Python-3.6.8
ml Graphviz/2.40.1